• WiFi no longer working on freshly installed Antergos (BCM43142)


    @manuel

    I just tried b43.allhwsupport = 1 and unfortunately it does not work, both the LTS and 4.20 https://postimg.cc/jw3ZqV2F

  • I have seen this problem as well on my machine. A macbook pro circa 2013. I had no problem with wifi until a couple of days ago. I’ve tried the LTS kernel and had no luck either. Based upon when it was updated and some things that I’m seeing via journalctl, I think it has to do with the wpa_supplicant.

    I’m not quite sure what to do though, so I’m currently using a usb wifi dongle.

  • I just demoted wpa_supplicant 1: 2.7-1 to 1: 2.6-12 and the connection now works perfectly !!!

    0_1546466973989_Captura de pantalla de 2019-01-02 19-00-47.png

    I saw that ** systemctl status wpa_supplicant.service ** gave me a flaw, so I opted to degrade it and now it works !!!

    I made 9 reboots in both LTS 4.19 and also in the current 4.20 and none failed!

    I hope it works for everyone!

  • @judd My Antergos is freshly installed. How do I get the previous version of wpa _supplicant? I checked in /var/cache/pacman/pkg/ , I have only got the current version.

  • @manuel said in WiFi no longer working on freshly installed Antergos (BCM43142):

    @Quantum_Sniper

    or changing/tuning the kernel parameters

    It is easy to test. At the Antergos boot menu, press E to edit the selected boot menu entry. Then with the arrow keys move cursor down several lines, to the line starting with ‘linux’ and ending with ‘rw quiet’. In the end of that line simply write a space character and this:

    b43.allhwsupport=1
    

    and boot with Ctrl-x. Now you can test if it works.

    This is a temporary change, it goes away after every reboot. If you want to test it through several reboots, you have to write the thing every time as above.

    If it works, it is easy to add permanently, but better just test it first.

    I tried this sir, but it doesn’t help.

  • @Quantum_Sniper use downgrade application and on remote server not local :)

  • @Quantum_Sniper

    If you have NOT cleared the pacman cache, then by console:

    $ sudo pacman -U /var/cache/pacman/pkg/wpa_supplicant-1:2.6-12-x86_64.pkg.tar.xz
    

    Tell us more then how was it ?

  • @Quantum_Sniper
    Like @ringo32 said, the downgrade package helps you with that.

    sudo pacman -S downgrade
    downgrade wpa_supplicant
    
  • @ringo32 It was the first time I used downgrade and it went smoothly. I had no idea what you were talking about, but when downgrading I got to know what you were saying. ☺ ☺

  • @judd , @manuel , @ringo32 I don’t know what to say. You guys are genius and awesome!!! Thanks a lot.

    I guess this is how we get to learn more about Linux and Arch in particular. This was my first bug experience in Arch/Antergos. @judd Thanks a lot!!

    I have another doubt though. Now when I do pacman -Syu, all packages get upgraded to their latest versions. But I don’t want wpa_supplicant to get upgraded. How can I upgrade all the other packages without upgrading wpa_supplicant? Does this type of upgrading cause problems?

  • @Quantum_Sniper downgrade do already ask you to add package to ignore list 😉

    downgrade wpa_supplicant 
    Available packages:
    
    *  1) wpa_supplicant-1:2.7-1-x86_64.pkg.tar.xz (remote)
    *  2) wpa_supplicant-1:2.7-1-x86_64.pkg.tar.xz (local)
    *  3) wpa_supplicant-1:2.6-12-x86_64.pkg.tar.xz (remote)
       4) wpa_supplicant-1:2.6-11-x86_64.pkg.tar.xz (remote)
       5) wpa_supplicant-1:2.6-10-x86_64.pkg.tar.xz (remote)
       6) wpa_supplicant-1:2.6-9-x86_64.pkg.tar.xz (remote)
       7) wpa_supplicant-1:2.6-8-x86_64.pkg.tar.xz (remote)
       8) wpa_supplicant-1:2.6-7-x86_64.pkg.tar.xz (remote)
       9) wpa_supplicant-1:2.6-6-x86_64.pkg.tar.xz (remote)
      10) wpa_supplicant-1:2.6-5-x86_64.pkg.tar.xz (remote)
      11) wpa_supplicant-1:2.6-4-x86_64.pkg.tar.xz (remote)
      12) wpa_supplicant-1:2.6-2-x86_64.pkg.tar.xz (remote)
      13) wpa_supplicant-1:2.6-1-x86_64.pkg.tar.xz (remote)
      14) wpa_supplicant-1:2.5-3-x86_64.pkg.tar.xz (remote)
    
    select a package by number: 3
    [sudo] Passwort für joekamprad: 
     wpa_supplicant-1:2.6-12-x86_64                                                                        915,4 KiB  4,26M/s 00:00 [##############################################################################] 100%
     wpa_supplicant-1:2.6-12-x86_64.sig                                                                    310,0   B  0,00B/s 00:00 [##############################################################################] 100%
    Lade Pakete...
    Warnung: Downgrade des Paketes wpa_supplicant (1:2.7-1 => 1:2.6-12)
    Löse Abhängigkeiten auf...
    Suche nach in Konflikt stehenden Paketen...
    
    Pakete (1) wpa_supplicant-1:2.6-12
    
    Gesamtgröße der installierten Pakete:   4,09 MiB
    Größendifferenz der Aktualisierung:  -0,24 MiB
    
    :: Installation fortsetzen? [J/n] j
    (1/1) Prüfe Schlüssel im Schlüsselring                                                                                          [##############################################################################] 100%
    (1/1) Überprüfe Paket-Integrität                                                                                                [##############################################################################] 100%
    (1/1) Lade Paket-Dateien                                                                                                        [##############################################################################] 100%
    (1/1) Prüfe auf Dateikonflikte                                                                                                  [##############################################################################] 100%
    (1/1) Überprüfe verfügbaren Festplattenspeicher                                                                                 [##############################################################################] 100%
    :: Verarbeite Paketänderungen...
    (1/1) Downgrading wpa_supplicant                                                                                                [##############################################################################] 100%
    :: Starte post-transaction hooks...
    (1/3) Cleaning pacman cache...
    ==> no candidate packages found for pruning
    (2/3) Reloading system manager configuration...
    (3/3) Arming ConditionNeedsUpdate...
    add wpa_supplicant to IgnorePkg? [y/n] 
    

    You can do so also by editing /etc/pacman.conf:

    /etc/pacman.conf
    #
    # /etc/pacman.conf
    #
    # See the pacman.conf(5) manpage for option and repository directives
    
    #
    # GENERAL OPTIONS
    #
    [options]
    # The following paths are commented out with their default values listed.
    # If you wish to use different paths, uncomment and update the paths.
    #RootDir     = /
    #DBPath      = /var/lib/pacman/
    #CacheDir    = /var/cache/pacman/pkg/
    #LogFile     = /var/log/pacman.log
    #GPGDir      = /etc/pacman.d/gnupg/
    #HookDir     = /etc/pacman.d/hooks/
    HoldPkg     = pacman glibc
    #XferCommand = /usr/bin/curl -C - -f %u > %o
    #XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
    #CleanMethod = KeepInstalled
    #UseDelta    = 0.7
    Architecture = auto
    
    #IgnorePkg   =
    #IgnorePkg   =
    #IgnorePkg   =
    #IgnoreGroup =
    

    or use pamac to “ignore updates for”:
    0_1546512789948_Bildschirmfoto vom 2019-01-03 11-53-00.png

  • @joekamprad Perfect ✌ 🙂

    Thanks :)

  • Regardless of whether it has already been resolved, temporarily, I leave the bug here to be able to see your fix in a short time.
    https://bugs.archlinux.org/task/61119
    https://bbs.archlinux.org/viewtopic.php?id=243121

  • Guys the update for wpa_supplicant has been released. They have degraded to version 2.6 and it is working well. I checked with both the regular kernel and the LTS kernel, it is working fine. 👍

    Really appreciate the quick response and fix by the Arch team :) Also the guys who voted and took part in filing a bug report :)

  • good to hear!
    updated to wpa_supplicant 1:2.7-1 today.

  • @joekamprad said in WiFi no longer working on freshly installed Antergos (BCM43142):

    good to hear!
    updated to wpa_supplicant 1:2.7-1 today.

    He has not yet reached this part of the world … but it really is very comforting to read this!

    EDIT: *is another version for arch.*→ @joekamprad
    0_1546719688542_wpa_supplicant.png
    https://www.archlinux.org/packages/?sort=&arch=x86_64&repo=Core&q=+wpa_supplicant&maintainer=&flagged=

wifi139 longer15 freshly2 Posts 36Views 645
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.